import React, { useEffect, useState } from 'react'
import { Card, Form, Input, Button, Select } from 'antd'
import styles from './IotConfig.less'

const layout = {
    labelCol: { span: 8 },
    wrapperCol: { span: 16 },
    
};
const tailLayout = {
    wrapperCol: { offset: 8, span: 16 },
   
};

const IotConfig = () => {

    const onFinish = (values) => {
        console.log('Success:', values);
    };

    const onFinishFailed = (errorInfo) => {
        console.log('Failed:', errorInfo);
    };

    return (
        <div className={styles.iot_container}>
            <Card title="物联平台(V2.1.0302)" style={{ width: 350 }}>

                <Form
                    {...layout}
                    name="basic"
                    initialValues={{ remember: true }}
                    onFinish={onFinish}
                    onFinishFailed={onFinishFailed}
                >
                    <Form.Item
                        label="服务器地址"
                        name="username"
                        rules={[{ required: true, message: '请输入服务器地址!' }]}
                    >
                        <Input />
                    </Form.Item>
                    <Form.Item {...tailLayout}>
                        <Button type="primary" htmlType="submit">
                            保存连接
                        </Button>
                    </Form.Item>
                </Form>
            </Card>
            <Card title="EMQ服务器" style={{ width: 350, marginLeft: 15 }}>

                <Form
                    {...layout}
                    name="basic"
                    initialValues={{ remember: true }}
                    onFinish={onFinish}
                    onFinishFailed={onFinishFailed}
                >
                    <Form.Item
                        name="select"
                        label="SSL"
                        hasFeedback
                        rules={[{ required: true, message: 'Please select your country!' }]}
                        initialValue="否"
                    >
                        <Select placeholder="Please select a country">
                            <Option value="是">是</Option>
                            <Option value="否">否</Option>
                        </Select>
                    </Form.Item>
                    <Form.Item 
                        label="服务器地址"
                        name="username"
                        rules={[{ required: true, message: '请输入服务器地址!' }]}
                    >
                        <Input />
                    </Form.Item>
                    <Form.Item {...tailLayout}>
                        <Button type="primary" htmlType="submit">
                            保存连接
                        </Button>
                    </Form.Item>
                </Form>
            </Card>
        </div>
    )
}
export default IotConfig